/* @import url('https://fonts.googleapis.com/css2?family=EB+Garamond:wght@400;600&family=Oswald:wght@400&family=Raleway:wght@400;600;800&display=swap'); */

  @import url('https://fonts.googleapis.com/css2?family=EB+Garamond:wght@400;600&family=Kumbh+Sans:wght@400;600&family=Oswald:wght@500&family=Raleway:wght@400;600;800&display=swap');

:root {
  --clr-dark: #050505;
  --clr-alt: #121116;
  --clr-bright: #fafafa;
  --clr-card: #0e0e0e;
  --clr-price: #e0e0e0;
  --clr-acc: #9a1515;
  --clr-acc-h: #6c0f0f;
  --pad-sec: 2rem 12%;
  --wp-ico: 3.2rem;
  --fnt-btn: Oswald, sans-serif;
  --fnt-title: 'EB Garamond', serif;
  /* --fnt-p: Raleway, sans-serif; */
  --fnt-p: "Kumbh Sans", sans-serif;
}

@media (max-width: 1080px) {
  :root {
    --pad-sec: 2rem 10%;
  }
}

html, body {
  background: var(--clr-dark);
  color: var(--clr-bright);
  font-size: 16px;
  max-width: 100%;
  overflow-x: hidden;
  box-sizing: border-box;
}

@media (max-width: 1280px) {
  html, body {
    font-size: 14px;
  }
}

@media (max-width: 1080px) {
  html, body {
    font-size: 13px;
  }
}

html {
  scroll-behavior: smooth;
}

*, ::before, ::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

a, button {
  cursor: pointer;
}

ul, li, a {
  text-decoration: none;
  list-style-type: none;
  color: inherit;
}

h1 {
  font-size: 3.4rem;
}

h2 {
  font-size: 3.2rem;
}

h3 {
  font-size: 2.4rem;
}

h4 {
  font-size: 1.8rem;
}

h5 {
  font-size: 1.8rem;
}

h1, h2, h3, h4, h5, p {
  margin-bottom: 2rem;
}

h1, h2, h3, h4 {
  font-family: var(--fnt-title);
  text-align: center;
}

p, li, ul {
  font-family: var(--fnt-p);
}

#navbar {
  display: flex;
  padding: 0.4rem 12%;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
  transition: background ease-in-out 150ms;
}

#navbar ul {
  display: flex;
  text-transform: uppercase;
}

#navbar ul li {
  margin-left: 1rem;
  font-weight: 600;
  font-family: var(--fnt-btn);
  transition: color 150ms, text-shadow 150ms;
}

#navbar ul li:hover {
  color: var(--clr-acc-h);
  text-shadow: 0 0 12px black;
}

.nav-active {
  background: var(--clr-acc-h);
}

.nav-active#navbar ul li:hover {
  color: black;
  text-shadow: none;
}

.logo {
  width: 2.2rem;
  height: 2.2rem;
  transition: opacity ease-out 150ms;
}

.logo:hover {
  opacity: .8;
}

.nav-active.logo img {
  transition: filter 100ms;
}

.nav-active.logo img:hover {
  filter: brightness(0);
}

.resp {
  width: 100%;
  height: auto;
}

body {
  background-image: radial-gradient(#360000, #000000);
}

header {
  height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  gap: 2rem;
  position: relative;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: var(--pad-sec);
  text-align: center;
  z-index: 2;
}

header::before {
  content: "";
  position: absolute;
  top: 10vw;
  /* right: 0; */
  /* bottom: 0; */
  left: 10vw;
  width: 80vw;
  height: 80vw;
  background: url(../img/magick-circle.png);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  opacity: .1;
  animation: rotation 36s linear infinite;
  /* transform: translate(-50%); */
  z-index: 0;
}


.fadeIn {
  animation: fadeIn ease-out 1s;
  animation-fill-mode: forwards;
}

@keyframes rotation {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

@keyframes fadeIn {
  0% { opacity: 0%; }
  100% { opacity: 100%; }
}

.opa0 {
  opacity: 0;
}

.delay1 {
  animation-delay: 1s;
}

.delay2 {
  animation-delay: 2s;
}

.delay3 {
  animation-delay: 3s;
}

header * {
  position: relative;
}

header p {
  margin-bottom: 2rem;
  font-size: 2rem;
}

header span {
  color: var(--clr-acc);
}

@media (min-width: 1280px) {

  .header {
    width: 50%;
  }
}

section {
  padding: var(--pad-sec);
}

.button {
  font-family: var(--fnt-btn);
  font-size: 1.2rem;
  border-radius: 4px;
  padding: 1rem 3rem;
  background: var(--clr-acc);
  transition: background ease-out 100ms;
  text-transform: uppercase;
  letter-spacing: 1.4px;
}

.buttonAlt {
  font-family: var(--fnt-btn);
  font-size: 1.2rem;
  border-radius: 4px;
  padding: 1rem 3rem;
  background: #121212;
  outline: solid 3px #fafafa;
  outline-offset: -3px;
  transition: all ease-out 100ms;
  text-transform: uppercase;
  letter-spacing: 1.4px;
}

.button:hover, .button:focus {
  background: var(--clr-acc-h);
}

.buttonAlt:hover, .buttonAlt:focus {
  background: #020202;
  outline: solid 3px var(--clr-acc-h);
}

.btnCont {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

.whatsapp {
  width: var(--wp-ico);
  height: var(--wp-ico);
  background: #25D366;
  border-radius: 50px;
  padding: 10px;
  position: fixed;
  bottom: 2rem;
  right: 2rem;
  box-shadow: 0 0 12px rgba(0,0,0,24%);
  transition: all ease-out 200ms;
  z-index: 9;
}

.whatsapp:hover {
  background: #10b133;
  transform: scale(110%);
}

.cards {
  display: flex;
  gap: 2rem;
  flex-wrap: wrap;
  align-items: stretch;
}

.cards > div {
  flex: 1 0 280px;
  background: var(--clr-card);
  border-radius: 4px;
  box-shadow: 0 0 18px rgba(0,0,0,0.6);
  display: flex;
  flex-direction: column;
}

.cards > div:empty {
  height: 0;
}

.card {
  width: 140px;
  height: 600px;
  overflow: hidden;
  box-shadow: 0 0 12px rgba(0,0,0,0.6);
  transition: all ease-out 150ms;
}

.card:hover, .card:focus {
  box-shadow: 0 0 24px rgba(100,0,0,0.8);
}

.ishtar {background: url(/img/ishtar-1.jpg);}
.mate-skl {background: url(/img/mate-skl.jpg);}
.yhvh {background: url(/img/yhvh.jpg);}
.compas {background: url(/img/compas.jpg);}
.hp-porta {background: url(/img/hp-porta.jpg);}
.saturn {background: url(/img/saturn.jpg);}
.buda {background: url(/img/buda.jpg);}

.cardImg {
  width: 100%;
  height: 100%;
  background-position: center;
  background-size: cover;
  transition: transform ease-out 150ms;
  box-shadow: 0 0 18px rgba(0,0,0,0.6);
}

.cardInfo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  padding: 2rem;
  height: 100%;
}

.cardTitle {
  font-size: 1.4rem;
  font-weight: 600;
  line-height: 1.1;
  margin-bottom: 1rem;
  text-align: left;
}

.cardDecs {
  text-align: left;
}

.cardPrice {
  font-family: var(--fnt-p);
  font-size: 2rem;
  font-weight: 600;
  text-align: center;
  align-self: center;
  color: var(--clr-price);
}

.card:hover .cardImg {
  transform: scale(104%);
}


/* contacto */

#contacto {
  background: var(--clr-alt);
}

.contacto {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 4rem;
  padding-top: 4rem;
  padding-bottom: 4rem;
}

.contacto > * {
  flex: 1;
}

@media (max-width: 1280px) {
  .contacto {
    flex-direction: column;
  }
}

.contacto div:nth-of-type(2) {
  width: 100%;
}

.contacto div p {
  font-size: 1.2rem;
  text-align: center;
}

.contacto div p:first-of-type {
  font-size: 1.6rem;
  font-weight: 600;
}

.contactoCont {
  display: flex;
  gap: 2rem;
  justify-content: center;
}

.contactIco img {
  width: 3rem;
  height: auto;
  transition: translate ease-out 200ms;
}

.contactIco img:hover {
  translate: 0 -4px;
}

input, textarea {
  margin-top: 1rem;
}

.form input:not(.submit), .form textarea {
  width: 100%;
  margin-bottom: 2rem;
  background: #020202;
  color: white;
  border: 0;
  outline: none;
  padding: 1rem;
  border-radius: 12px;
}

.form input, .form label, .form textarea {
  font-size: 1.2rem;
  font-family: var(--fnt-p);

}

textarea {
  height: 180px;
  width: 100%;
  resize: none;
}

::placeholder {
  font-style: italic;
}

#submit {
  cursor: pointer;
  font-family: var(--fnt-btn);
  color: var(--clr-bright);
  font-size: 1.2rem;
  border-radius: 4px;
  padding: 1rem 3rem;
  background: #121212;
  outline: solid 3px #fafafa;
  outline-offset: -3px;
  transition: all ease-out 100ms;
  text-transform: uppercase;
  letter-spacing: 1.4px;
}


#submit:hover {
  background: var(--clr-bright);
  color: var(--clr-dark);
}

.submitCont {
  display: flex;
  justify-content: center;
}


/* footer */

.footer {
  display: flex;
  align-items: flex-end;
  padding: 4rem 15%;
  gap: 3rem;
}

.footer > * {
  flex: 1;
}

.logo-f img {
  width: 120px;
  transition: opacity ease-out 150ms;
}

.logo-f img:hover {
  opacity: .8;
}

.footer div:nth-of-type(2) ul li{
  font-family: var(--fnt-p);
  font-weight: 600;
  line-height: 2;
  text-align: left;
  font-size: 1.2rem;
  text-transform: uppercase;
  transition: all linear 100ms;
}

.footer div:nth-of-type(2) ul li:hover{
  color: var(--clr-acc-h);
}
  
.footer div:nth-of-type(3) div a img {
  width: 2rem;
}

.copy {
  text-align: center;
  padding: 1rem;
  background: linear-gradient(90deg, #050505, #120505, #050505);
}

.copy p {
  margin-bottom: 0;
}

@media (max-width: 768px) {
  .footer {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .footer div:nth-of-type(2) ul li {
    text-align: center;
  }
}
